#ifndef Saw_h
#define Saw_h

#define SAW_X_SLOT 41
#define SAW_Y_SLOT 42

#define SAW_STATUS_VAR 194
#define SAW_SELECTED_VAR 172

#define SAW_X_OUTPUT 1123
#define SAW_Y_OUTPUT 1124

#define SAW_X_CONFIRMATION_INPUT 1156
#define SAW_Y_CONFIRMATION_INPUT 1157

// Clear all outputs related to the saw operation
void ClearSawOutputs();

// Set variable to represent if the saw is On
void SetSawStatus();
void ResetSawStatus();
int GetSawStatus();

// 0: Saw off
// 1: X Saw selected
// 2: Y Saw selected
void SetSawSelected(int sawSlot);
void ResetSawSelected();
int GetSawSelected();

#endif /* Saw_h */
