#ifndef TableSelectionWatch_h
#define TableSelectionWatch_h

#define X_OFFSET_VALUE_VAR 160
#define Y_OFFSET_VALUE_VAR 161
#define Z_OFFSET_VALUE_VAR 162

#define TABLE_1_STATUS_LABEL_VAR 163
#define TABLE_2_STATUS_LABEL_VAR 164
#define TABLE_12_STATUS_LABEL_VAR 165

#define TABLE_EXECUTING_VAR 196
#define TABLE1_EXECUTING_VAR 197
#define TABLE2_EXECUTING_VAR 198
#define TABLE12_EXECUTING_VAR 199

#define TABLE1 1
#define TABLE2 2
#define TABLE1_AND_2 12

// Inputs to be monitored for manual tool exchange
#define TABLE1_BUTTON_INPUT 1166
#define TABLE2_BUTTON_INPUT 1163
#define TABLE12_BUTTON_INPUT_1 1164
#define TABLE12_BUTTON_INPUT_2 1165
#define VACUUM1_BUTTON_INPUT 1167
#define VACUUM2_BUTTON_INPUT 1170
#define VACUUM12_BUTTON_INPUT_1 1168
#define VACUUM12_BUTTON_INPUT_2 1169
#define VACUUM1_CONFIRMATION_INPUT 1171
#define VACUUM2_CONFIRMATION_INPUT 1172

// Outputs to be controled for tool exchange
#define AUXILIARY_POSITIONING1_OUTPUT 1134
#define AUXILIARY_POSITIONING2_OUTPUT 1135
#define AUXILIARY_POSITIONING_MIDDLE_OUTPUT 1069
#define VACUUM1_OUTPUT 1070
#define VACUUM2_OUTPUT 1071

// Virtual bits for the offsets
#define X_OFFSET_CHECK_VIRTUAL_BIT 1072
#define Y_OFFSET_CHECK_VIRTUAL_BIT 1073
#define Z_OFFSET_CHECK_VIRTUAL_BIT 1074

#define TABLE_1_NAME "Mesa 1"
#define TABLE_2_NAME "Mesa 2"
#define TABLE_12_NAME "Mesa completa"

#endif /* TableSelectionWatch_h */
