#ifndef ManualToolExchangeWatch_h
#define ManualToolExchangeWatch_h

// Inputs to be monitored for manual tool exchange
#define EXCHANGE_TOOL_BUTTON_INPUT 1050

// The time that the open tool gripper should wait before turn on 
#define GRIPPER_ON_STATE_TIME 0.5

// Routine that monitors the inputs related to the manual tool exchange and runs the machine state
// that opens the gripper and the extractor
void ManualToolExchangeWatch(void);

#endif /* ManualToolExchangeWatch_h */
