#include "KMotionDef.h"
#include "Saw.h"

void SetSawStatus()
{
    persist.UserData[SAW_STATUS_VAR] = 1;
}

void ResetSawStatus()
{
    persist.UserData[SAW_STATUS_VAR] = 0;
}

int GetSawStatus()
{
    return persist.UserData[SAW_STATUS_VAR];
}

void SetSawSelected(int sawSlot)
{
    if (sawSlot == SAW_X_SLOT)
    {
        persist.UserData[SAW_SELECTED_VAR] = 1;
    }
    else
    {
        persist.UserData[SAW_SELECTED_VAR] = 2;
    }
}

void ResetSawSelected()
{
    persist.UserData[SAW_SELECTED_VAR] = 0;
}

int GetSawSelected()
{
    return persist.UserData[SAW_SELECTED_VAR];
}

// Clear all outputs related to the saw operation
void ClearSawOutputs()
{
    ResetSawStatus();
    ClearBit(SAW_X_OUTPUT);
    ClearBit(SAW_Y_OUTPUT);
}
